POST api/Common/AddDistributorSecurityDepositeMaintainLog
Request Information
URI Parameters
None.
Body Parameters
DistributorSecurityDeposit| Name | Description | Type | Additional information |
|---|---|---|---|
| DepositId | integer |
None. |
|
| DistributorId | integer |
None. |
|
| DairyPlantID | integer |
None. |
|
| DairyPlantCode | string |
None. |
|
| TransDate | date |
None. |
|
| CreditAmount | decimal number |
None. |
|
| TotalCreditBalance | decimal number |
None. |
|
| CreditRemarks | string |
None. |
|
| CreatedBy | integer |
None. |
|
| CreatedDate | date |
None. |
|
| IsActive | integer |
None. |
|
| IsCurrentEntry | integer |
None. |
|
| LADCode | string |
None. |
|
| TPOId | integer |
None. |
|
| TPONo | string |
None. |
|
| FPOId | integer |
None. |
|
| FPONo | string |
None. |
|
| TransactionId | string |
None. |
|
| UpdatedBy | integer |
None. |
|
| UpdatedDate | date |
None. |
Request Formats
application/json, text/json
Sample:
{
"depositId": 1,
"distributorId": 2,
"dairyPlantID": 3,
"dairyPlantCode": "sample string 4",
"transDate": "2026-04-13T20:16:41.173811+05:30",
"creditAmount": 6.0,
"totalCreditBalance": 7.0,
"creditRemarks": "sample string 8",
"createdBy": 9,
"createdDate": "2026-04-13T20:16:41.173811+05:30",
"isActive": 11,
"isCurrentEntry": 12,
"ladCode": "sample string 13",
"tpoId": 14,
"tpoNo": "sample string 15",
"fpoId": 16,
"fpoNo": "sample string 17",
"transactionId": "sample string 18",
"updatedBy": 19,
"updatedDate": "2026-04-13T20:16:41.173811+05:30"
}
application/xml, text/xml
Sample:
<DistributorSecurityDeposit xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/DistributionApplication.Entities"> <CreatedBy>9</CreatedBy> <CreatedDate>2026-04-13T20:16:41.173811+05:30</CreatedDate> <CreditAmount>6</CreditAmount> <CreditRemarks>sample string 8</CreditRemarks> <DairyPlantCode>sample string 4</DairyPlantCode> <DairyPlantID>3</DairyPlantID> <DepositId>1</DepositId> <DistributorId>2</DistributorId> <FPOId>16</FPOId> <FPONo>sample string 17</FPONo> <IsActive>11</IsActive> <IsCurrentEntry>12</IsCurrentEntry> <LADCode>sample string 13</LADCode> <TPOId>14</TPOId> <TPONo>sample string 15</TPONo> <TotalCreditBalance>7</TotalCreditBalance> <TransDate>2026-04-13T20:16:41.173811+05:30</TransDate> <TransactionId>sample string 18</TransactionId> <UpdatedBy>19</UpdatedBy> <UpdatedDate>2026-04-13T20:16:41.173811+05:30</UpdatedDate> </DistributorSecurityDeposit>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
integerResponse Formats
application/json, text/json
Sample:
1
application/xml, text/xml
Sample:
<long xmlns="http://schemas.microsoft.com/2003/10/Serialization/">1</long>